Subject: guix system init seems to ignore --fallback

From: raid5atemyhomework <[email-masked]>
Date: Mon, 15 Mar 2021 00:41:06 +0000

Split off from 46942

Recently I had to rebuild my Guix OS (ummm it was practice for installing Guix, not at all being too overconfident with `guix system --delete-generations` and screwing up a shepherd start service so that shepherd got into an infinite loop in an edge case...).  Because the official Guix Cuirass in Berlin is ridiculously slow, I used a modified installer with the SJTUG mirror as the first substitute URL and the Guix Cuirass server as second substitute URL.

However, during guided install the SJTUG server gave strange errors to the substituter (which I was unable to capture since it was an install environment and I had no good way to copy-paste from it - I am running Guix on the metal, not in a VM).

Now of course any failure in the first substitute URL should cause the substituter to fall back to the second substitute URL and so on, but that's 47147

*This* bug report is about `guix system init --fallback`.

The same errors happened when I fell back to manual installation and used `guix system init`.  So I tried passing in `--fallback` to make Guix build the package (some `e2fsck` package, do not remember details) instead of trying to download it from SJTUG (since it couldn't download it, it would fail catastrophically).

In order to continue, I had to use `guix system build --fallback`, which seemed to work in that it completed, and a a subsequent `guix system init` succeeded.

So it looks to me that `guix system init` does not propagate `--fallback`.

Thanks
raid5atemyhomework